﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp23
{
    public partial class Form1 : Form
    {
        //1. Δημιουργία connectionstring
        String connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=Database1.mdb";
        //2. Ορίζουμε ένα αντικείμενο τύπου connection
        OleDbConnection connection;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            connection = new OleDbConnection(connectionString);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //3. Άνοιγμα του connection
            connection.Open();
            //4. Δημιουργία ενός query
            String query = "Select * from Table1";
            //5. Δημιουργία αντικειμένου για την εκτέλεση του query
            OleDbCommand command = new OleDbCommand(query, connection);
            //6. Εκτέλεση του query και χρήση ενός αντικειμένου για να αποθηκεύσουμε το αποτέλεσμα
            OleDbDataReader reader = command.ExecuteReader();
            //7. Ανάγνωση των επιστρεφόμενων δεδομένων
            StringBuilder builder = new StringBuilder();
            while (reader.Read())
            {
                builder.AppendLine(reader.GetString(1)+","+reader.GetString(2));
            }
            //8. Κλείσιμο της σύνδεσης
            connection.Close();
            //MessageBox.Show(builder.ToString());
            richTextBox1.Clear();
            richTextBox1.AppendText(builder.ToString());
        }

        private void button2_Click(object sender, EventArgs e)
        {
            String name = textBox1.Text;
            String tel = textBox2.Text;
            connection.Open();
            String query = "Insert into Table1(StudentName,StudentTel) " +
                "values ('"+name+"','"+tel+"')";
            OleDbCommand command = new OleDbCommand(query, connection);
            int count = command.ExecuteNonQuery();
            connection.Close();
            MessageBox.Show(count.ToString() + " row affected!");
            button1.PerformClick();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            String name = textBox1.Text;
            String tel = textBox2.Text;
            connection.Open();
            String query = "Insert into Table1(StudentName,StudentTel) " +
                "values (?,?)";
            OleDbCommand command = new OleDbCommand(query, connection);
            command.Parameters.AddWithValue("StudentName", name);
            command.Parameters.AddWithValue("StudentTel", tel);
            int count = command.ExecuteNonQuery();
            connection.Close();
            MessageBox.Show(count.ToString() + " row affected!");
            button1.PerformClick();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            String name = textBox3.Text;
            connection.Open();
            String query = "Delete from Table1 " +
                "Where StudentName=?";
            OleDbCommand command = new OleDbCommand(query, connection);
            command.Parameters.AddWithValue("StudentName", name);
            int count = command.ExecuteNonQuery();
            connection.Close();
            MessageBox.Show(count.ToString() + " row affected!");
            button1.PerformClick();
        }
    }
}
